summary refs log tree commit diff
path: root/build.sh
diff options
context:
space:
mode:
authorTheArcaneBrony <root@thearcanebrony.net>2023-03-26 01:45:21 +0000
committerTheArcaneBrony <root@thearcanebrony.net>2023-03-26 01:45:21 +0000
commit5ca4257dd8431014df9a566ac9033060918169ed (patch)
tree67e741a053694e43482193a434cdb760ffaf564c /build.sh
parentget synapse running (diff)
downloadRory-Open-Architecture-5ca4257dd8431014df9a566ac9033060918169ed.tar.xz
Update synapse
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 7542303..b89de4b 100755
--- a/build.sh
+++ b/build.sh
@@ -10,7 +10,7 @@ if [ "$1" = "/" ]; then
     [ -f "host/${2}/pre-rebuild.sh" ] && host/$2/pre-rebuild.sh
     nixos-generate-config --show-hardware-config > hardware-configuration.nix
     git add -f hardware-configuration.nix
-    nixos-rebuild switch --flake ".#${2}" -j`nproc` --upgrade-all
+    nixos-rebuild switch --flake ".#${2}" -j`nproc` --upgrade-all || exit 1
     [ -f "host/${2}/post-rebuild.sh" ] && host/$2/post-rebuild.sh
     git rm --cached hardware-configuration.nix
     exit